Std ViewIsometric/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Dopasuj wybór do widoku |ViewDimetric |Menu Widok |IconL=Std_ViewFitSelection.svg |IconR=St...")
 
No edit summary
Line 2: Line 2:


{{Docnav/pl
{{Docnav/pl
|[[Std_ViewFitSelection/pl|Dopasuj wybór do widoku]]
|[[Std_ViewFitSelection/pl|Dopasuj do wyboru]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_View_Menu/pl|Menu Widok]]
|[[Std_View_Menu/pl|Menu Widok]]

Revision as of 07:21, 17 October 2021

Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Std ViewDimetric, Std ViewTrimetric

Description

The Std ViewIsometric command realigns the camera in the active 3D view to obtain an isometric view. For a truly isometric view the 3D view must be in orthographic mode, but the command also works if the view is in perspective mode.

The axis cross and a cube in isometric view

Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewIsometric button.
    • Select the View → Standard views → Axonometric → Isometric option from the menu.
    • Select the Standard views → Isometric option from the 3D view context menu.
    • Use the keyboard shortcut: 0.

Notes

  • It is also possible to switch to isometric view via the Mini-cube menu of the Navigation Cube.

Scripting

See also: FreeCAD Scripting Basics.

To change to isometric view use the viewIsometric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()